All Classes Files Functions Typedefs Groups Pages
NexTouch Class Reference
Touch Event

`#include <NexTouch.h>`

Inheritance diagram for NexTouch:

## Public Member Functions

| NexTouch (uint8_t pid, uint8_t cid, const char *name)
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
void | detachPush (void)
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
void | detachPop (void)
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
void | printObjInfo (void)

## Static Public Member Functions

static void | iterate (NexTouch **list, uint8_t pid, uint8_t cid, int32_t event)

## Additional Inherited Members

Protected Member Functions inherited from NexObject
uint8_t | getObjPid (void)
uint8_t | getObjCid (void)
const char * | getObjName (void)

## Detailed Description

Father class of the components with touch events.

Derives from NexObject and provides methods allowing user to attach (or detach) a callback function called when push(or pop) touch event occurs.

## Constructor & Destructor Documentation

NexTouch::NexTouch | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

## Member Function Documentation

void NexTouch::attachPop | ( | NexTouchEventCb | pop,
|  | void * | ptr = `NULL`
| ) |  |

Attach an callback function of pop touch event.

Parameters

  pop | - callback called with ptr when a pop touch event occurs.
  ptr | - parameter passed into pop[default:NULL].

Returns
  none.

Note
  If calling this method multiply, the last call is valid.

void NexTouch::attachPush | ( | NexTouchEventCb | push,
|  | void * | ptr = `NULL`
| ) |  |

Attach an callback function of push touch event.

Parameters

  push | - callback called with ptr when a push touch event occurs.
  ptr | - parameter passed into push[default:NULL].

Returns
  none.

Note
  If calling this method multiply, the last call is valid.

void NexTouch::detachPop | ( | void |  | ) |

Detach an callback function.

Returns
  none.

void NexTouch::detachPush | ( | void |  | ) |

Detach an callback function.

Returns
  none.

The documentation for this class was generated from the following files:

- NexTouch.h
- NexTouch.cpp